#
# spec file for package libiniparser (Version 2.14)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libiniparser
Version:        2.14
Release:        6.2
License:        X11/MIT
Group:          System/Libraries
URL:            http://ndevilla.free.fr/iniparser/
Autoreqprov:    on
Summary:        Library to parse ini files
Source:         http://ndevilla.free.fr/iniparser/iniparser-%{version}.tar.bz2
Patch:          shared-library.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libiniparser offers parsing of ini files from the C level.



Authors:
--------
    Nicolas Devillard <ndevilla at free dot fr>

%debug_package
%package devel
Summary:        Libraries and Header Files to Develop Programs with libiniparser Support
Group:          System/Libraries
Autoreqprov:    on
Requires:       libiniparser = %{version}-%{release}

%description devel
This package contains the static libraries and header files needed to
develop programs which make use of the libiniparser programming
interface.

The libiniparser offers parsing of ini files from the C level.	See a
complete documentation in HTML format, from the
/usr/share/doc/packages/libiniparser-devel directory open the file
html/index.html with any HTML-capable browser.



Authors:
--------
    Nicolas Devillard <ndevilla at free dot fr>

%prep
%setup -n iniparser-%{version}
%patch -p1

%build
%{__make} default check

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p \
	${RPM_BUILD_ROOT}/%{_includedir} \
	${RPM_BUILD_ROOT}/%{_libdir}
install -m 0755 libiniparser.{a,so.0} ${RPM_BUILD_ROOT}/%{_libdir}
install -m 0644 src/{dictionary,iniparser}.h ${RPM_BUILD_ROOT}/%{_includedir}
ln -s libiniparser.so.0 ${RPM_BUILD_ROOT}/%{_libdir}/libiniparser.so

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_libdir}/libiniparser.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dictionary.h
%{_includedir}/iniparser.h
%{_libdir}/libiniparser.a
%{_libdir}/libiniparser.so
%doc html

%changelog -n libiniparser
* Tue Apr 11 2006 - lmuelle@suse.de
- Inital SuSE RPM.
